%global srcname bash_kernel
%global fedname bash-kernel

Name:           python-%{fedname}
Version:        0.7.2
Release:        3%{?dist}
Summary:        Bash kernel for Jupyter
License:        BSD
URL:            https://github.com/takluyver/bash_kernel
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist flit}
BuildRequires:  %{py3_dist ipykernel}
BuildRequires:  %{py3_dist pexpect}
BuildRequires:  %{py3_dist pip}
BuildRequires:  %{py3_dist setuptools}
BuildRequires:  %{py3_dist wheel}

%description
This package contains a Jupyter kernel for bash.

%package -n python3-%{fedname}
Summary:        %{summary}
Requires:       bash
Requires:       python-jupyter-filesystem

%description -n python3-%{fedname}
This package contains a Jupyter kernel for bash.

%prep
%autosetup -n %{srcname}-%{version}

%build
%pyproject_wheel
rst2html --no-datestamp README.rst README.html

%install
%pyproject_install
cd bash_kernel
python3 install.py --prefix %{buildroot}%{_prefix}
cd -

%check
%py3_check_import bash_kernel

%files -n  python3-%{fedname}
%doc README.html
%license LICENSE
%{python3_sitelib}/%{srcname}*
%{_datadir}/jupyter/kernels/bash/

%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 13 2021 Jerry James <loganjerry@gmail.com> - 0.7.2-1
- Initial RPM
